### Home Classes Methods

### In Files

- lib/stella/testplan.rb

### Methods

- #checkup
- #register
- #run
- #session
- #testplan
- #usecases

### Files

- LICENSE.txt
- TODO

### Class/Module Index

Quicksearch

- Stella
- Stella::API
- Stella::API::Unauthorized
- Stella::Asserts
- Stella::CLI
- Stella::Client
- Stella::Common
- Stella::Common::PrivacyMethods
- Stella::ET
- Stella::Engine
- Stella::Engine::Base
- Stella::Engine::Base::ClassMethods
- Stella::Engine::Checkup
- Stella::EventTemplate
- Stella::ForcedRedirect
- Stella::HTTPError
- Stella::Log
- Stella::Log::HTTP
- Stella::PageError
- Stella::RT
- Stella::RepeatRequest
- Stella::Report
- Stella::Report::Content
- Stella::Report::Content::ReportMethods
- Stella::Report::Errors
- Stella::Report::Errors::ReportMethods
- Stella::Report::Headers
- Stella::Report::Metrics
- Stella::Report::Metrics::ReportMethods
- Stella::Report::Plugin
- Stella::Report::Plugin::ClassMethods
- Stella::Report::Statuses
- Stella::Report::Statuses::ReportMethods
- Stella::RequestError
- Stella::RequestTemplate
- Stella::Session
- Stella::StringTemplate
- Stella::TP
- Stella::Testplan
- Stella::Testplan::ClassMethods
- Stella::TestplanQuit
- Stella::Testrun
- Stella::TimeoutError
- Stella::UC
- Stella::Usecase
- Stella::Usecase::ClassMethods
- Stella::UsecaseError
- Stella::UsecaseFail
- Stella::Utils
- Stella::VERSION
- Addressable
- Addressable::URI
- Time
- Time::Units
- Array
- DefaultTestplan
- Float
- Hash
- MatchData
- MetricsPack
- Numeric
- Object
- OpenStruct
- StellaBehavior
- StellaError
- String
- Symbol
- Thread

No matching classes.

# Stella::Testplan::ClassMethods

### Attributes

registered_classes[R]

### Public Instance Methods

checkup(base_uri, opts={}) click to toggle source

    # File lib/stella/testplan.rb, line 114
    def checkup base_uri, opts={}
      Stella::Testplan.plan(self).checkup base_uri, opts
    end

register(klass=nil) click to toggle source

Session objects will extend registered classes.

    # File lib/stella/testplan.rb, line 124
    def register klass=nil
      unless klass.nil?
        @registered_classes ||= []
        @registered_classes << klass
      end
      @registered_classes
    end

run(engine, opts={}) click to toggle source

    # File lib/stella/testplan.rb, line 117
    def run engine, opts={}
      Stella::Testplan.plan(self).run engine, opts
    end

session() click to toggle source

    # File lib/stella/testplan.rb, line 132
    def session
      @session ||= {}
      @session
    end

testplan() click to toggle source

    # File lib/stella/testplan.rb, line 120
    def testplan
      Stella::Testplan.plan(self)
    end

usecases() click to toggle source

    # File lib/stella/testplan.rb, line 110
    def usecases
      @usecases ||= []
      @usecases
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.